Create a PDF template
Creates a CWT credential PDF template based on a provided .zip file. Refer to our PDF template design guide for more information on how to design a template and structure the .zip file.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>body*fileapplication/zipbinaryPDF template created
application/json- response
id?stringThis is a unique identifier for this PDF template. You will use it as the templateId when formatting a CWT credential as a PDF.
name?stringTemplate name.
fileName?stringFile name for credentials formatted using this template.
fonts?array<>Includes any custom fonts in this template.
metadata?fields?array<>Includes the different elements in this PDF template and what fields in the credential they are mapped from.
curl -X POST "https://example.com/v2/credentials/compact/pdf/templates" \ -H "Content-Type: application/zip" \ -d 'string'{ "id": "4eea7654-d4c5-4eba-bd7a-5ca334d54725", "name": "Certificate of participation", "fileName": "certificate_of_participation", "fonts": [ { "name": "PublicSans-Regular", "fileName": "fonts/PublicSans-Regular.ttf" } ], "metadata": { "title": "" }, "fields": [ { "key": "familyName", "value": "{{payload.sub_claims.familyName}}", "isRequired": true, "alternativeText": "{{payload.sub_claims.familyName}}", "fontName": "PublicSans-Regular" } ]}How would you rate this page?
Format a CWT credential as a Google Pass POST
Returns a Google Pass representation of a provided CWT credential based on an existing Google Pass template. <Callout> The request will fail if the provided credential isn't valid or has expired. </Callout>
Retrieve all PDF templates GET
Retrieves a list of all CWT credentials PDF templates available on the tenant.